%global mod_name ssh-credentials-plugin
%global short_name ssh-credentials
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/%{short_name}.jpi

Name:           jenkins-ssh-credentials-plugin
Version:        1.6.1
Release:        4%{?dist}
Summary:        Jenkins SSH Credentials Plugin

License:        MIT
URL:            https://github.com/jenkinsci/ssh-credentials-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(com.jcraft:jsch)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.jcip:jcip-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:  mvn(org.apache.sshd:sshd-core)
BuildRequires:  mvn(org.jenkins-ci.plugins:credentials)
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.jenkins-ci.tools:maven-hpi-plugin)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.slf4j:slf4j-jdk14)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)

BuildArch:      noarch

%description
This package provides Jenkins SSH credentials plugin.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

%mvn_package ::hpi: __noinstall
%pom_add_dep net.jcip:jcip-annotations
%mvn_file ::jar:: %{name}/%{short_name} %{plugin_home}/WEB-INF/lib/%{short_name}

%build
# missing dep org.codehaus.mojo:findbugs-maven-plugin
%mvn_build -f

%install
# unpack hpi file into the correct location
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d %{buildroot}/%{plugin_home} target/%{short_name}.hpi
rm %{buildroot}/%{plugin_home}/WEB-INF/lib/%{short_name}.jar
xmvn-subst %{buildroot}/%{plugin_home}/WEB-INF/lib/

%mvn_install
sed -i 's|%{plugin_home}/WEB-INF/lib/%{short_name}.jar||' .mfiles

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%{plugin_home}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Mon Oct 13 2014 Michal Srb <msrb@redhat.com> - 1.6.1-4
- This is a core plugin, move it to the correct location

* Fri Oct 03 2014 Michal Srb <msrb@redhat.com> - 1.6.1-3
- Install as Jenkins plugin

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 24 2014 Michal Srb <msrb@redhat.com> - 1.6.1-1
- Update to upstream version 1.6.1

* Mon Jan 13 2014 Michal Srb <msrb@redhat.com> - 1.6-1
- Initial packaging

